Name:          python-docker
Version:       4.0.1
Release:       1mamba
Summary:       An API client for docker written in Python
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           https://github.com/docker/docker-py
Source:        https://github.com/docker/docker-py/archive/%{version}.tar.gz
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
%if 0%{?with_pyver}
BuildRequires: libpython%{?with_pyver}-devel
%else
BuildRequires: libpython-devel
%endif
Requires:      python >= %python_version
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A Python library for the Docker Remote API.
It does everything the docker command does, but from within Python – run containers, manage them, pull/push images, etc.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n docker-py-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%doc LICENSE README.md

%changelog
* Tue May 21 2019 Automatic Build System <autodist@mambasoft.it> 4.0.1-1mamba
- automatic version update by autodist

* Tue Apr 02 2019 Automatic Build System <autodist@mambasoft.it> 3.7.2-1mamba
- automatic version update by autodist

* Sat Jan 12 2019 Automatic Build System <autodist@mambasoft.it> 3.7.0-1mamba
- automatic version update by autodist

* Tue Dec 04 2018 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- automatic version update by autodist

* Mon Oct 22 2018 Automatic Build System <autodist@mambasoft.it> 3.5.1-1mamba
- automatic version update by autodist

* Sat Aug 11 2018 Automatic Build System <autodist@mambasoft.it> 3.5.0-1mamba
- automatic version update by autodist

* Tue Jul 03 2018 Automatic Build System <autodist@mambasoft.it> 3.4.1-1mamba
- automatic version update by autodist

* Wed Jun 20 2018 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- automatic version update by autodist

* Fri Apr 27 2018 Automatic Build System <autodist@mambasoft.it> 3.3.0-1mamba
- automatic version update by autodist

* Sat Mar 31 2018 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Fri Mar 30 2018 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Thu Mar 22 2018 Automatic Build System <autodist@mambasoft.it> 3.1.4-1mamba
- automatic version update by autodist

* Wed Mar 21 2018 Automatic Build System <autodist@mambasoft.it> 3.1.3-1mamba
- automatic version update by autodist

* Thu Mar 08 2018 Automatic Build System <autodist@mambasoft.it> 3.1.1-1mamba
- automatic version update by autodist

* Sat Feb 17 2018 Automatic Build System <autodist@mambasoft.it> 3.0.1-1mamba
- automatic version update by autodist

* Mon Dec 25 2017 Automatic Build System <autodist@mambasoft.it> 2.7.0-1mamba
- automatic version update by autodist

* Mon Feb 06 2017 Automatic Build System <autodist@mambasoft.it> 2.0.2-1mamba
- automatic version update by autodist

* Sat Oct 15 2016 Davide Madrisan <davide.madrisan@gmail.com> 1.10.3-1mamba
- package created using the webbuild interface
